# Sdf: download

> [!CAUTION]
> The SDF Download service of the Bid Manager API has been sunset. Users must migrate to the [DV360 API](https://developers.google.com/display-video/api/reference/rest).

> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/bid-manager/v1/sdf/download#auth).

Retrieves entities in SDF format.
[Try it now](https://developers.google.com/bid-manager/v1/sdf/download#try-it).

## Request

### HTTP request

```
POST https://www.googleapis.com/doubleclickbidmanager/v1/sdf/download
```

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/doubleclickbidmanager` |

For more information, see the [authentication and authorization](https://developers.google.com/bid-manager/how-tos/authorizing) page.

### Request body

In the request body, supply data with the following structure:

```
{
  "fileTypes": [
    string
  ],
  "filterType": string,
  "filterIds": [
    long
  ],
  "version": string
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `fileTypes[]` | `list` | File types that will be returned. If INVENTORY_SOURCE is requested, no other file types may be requested. Acceptable values are: - "`AD`" - "`AD_GROUP`" - "`CAMPAIGN`" - "`INSERTION_ORDER`" - "`INVENTORY_SOURCE`" - "`LINE_ITEM`" |   |
| `filterType` | `string` | Filter type used to filter entities to fetch. PARTNER_ID and INVENTORY_SOURCE_ID may only be used when downloading inventory sources. <br /> Acceptable values are: - "`ADVERTISER_ID`" - "`CAMPAIGN_ID`" - "`INSERTION_ORDER_ID`" - "`INVENTORY_SOURCE_ID`" - "`LINE_ITEM_ID`" - "`PARTNER_ID`" |   |
| `filterIds[]` | `list` | The IDs of the specified filter type. This is used to filter entities to fetch. At least one ID must be specified. Only one ID is allowed for the `ADVERTISER_ID` filter type. For `INSERTION_ORDER_ID` or `LINE_ITEM_ID` filter types all IDs must be from the same Advertiser. |   |
| `version` | `string` | SDF Version (column names, types, order) in which the entities will be returned. Default to `5`. |   |

## Response

If successful, this method returns a response body with the following structure:

```
{
  "campaigns": string,
  "insertionOrders": string,
  "lineItems": string,
  "adGroups": string,
  "ads": string,
  "inventorySources": string
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `insertionOrders` | `string` | Retrieved insertion orders in SDF format. |   |
| `lineItems` | `string` | Retrieved line items in SDF format. |   |
| `adGroups` | `string` | Retrieved ad groups in SDF format. |   |
| `ads` | `string` | Retrieved ads in SDF format. |   |
| `campaigns` | `string` | Retrieved campaigns in SDF format. |   |
| `inventorySources` | `string` |   |   |

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.
Alternatively, try the
[standalone
Explorer](https://developers.google.com/apis-explorer/#p/doubleclickbidmanager/v1/doubleclickbidmanager.sdf.download).